pcl::PFHRGBSignature250 Struct Reference
Module common

A point structure representing the Point Feature Histogram with colors (PFHRGB). More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | histogram [250]

## Friends

std::ostream & | operator<< (std::ostream &os, const PFHRGBSignature250 &p)

## Detailed Description

A point structure representing the Point Feature Histogram with colors (PFHRGB).

Definition at line 1190 of file point_types.hpp.

## Member Function Documentation

## descriptorSize()

static int pcl::PFHRGBSignature250::descriptorSize | ( |  | ) |

inline static

Definition at line 1193 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PFHRGBSignature250 & | p
| ) |  |

friend

## Member Data Documentation

## histogram

float pcl::PFHRGBSignature250::histogram[250]

Definition at line 1192 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp